{% extends 'base/baseadmin.html' %}

{% load static %}

{% block title %}
  Gestión de Rutas
{% endblock %}

{% block content %}
<style>
  #carouselGeneral {
    border: 2px solid #264550; /* Establecer el grosor y color del borde según tus preferencias */
    border-radius: 25px; /* Añadir bordes redondeados si lo deseas */
    overflow: hidden; /* Asegurarse de que el borde no se solape con las imágenes */
  }

  #carouselUnidades {
    border: 2px solid #264550; /* Establecer el grosor y color del borde según tus preferencias */
    border-radius: 25px; /* Añadir bordes redondeados si lo deseas */
    overflow: hidden; /* Asegurarse de que el borde no se solape con las imágenes */
  }

</style>

<div class="container" style="max-width: 1300px;">
  <div class="col-lg-12 mx-auto pleca-1 text-white p-3 text-center mt-4 pleca-text" style="background-color: #264550; border-radius: 25px;">
    En <span>J.K.A Transports</span>, nos enfocamos en siempre ser la mejor alternativa para el traslado eficaz, cómodo y seguro de sus empleados.
  </div>

    <div class="row mt-4">
      <div class="col-md-12">
        <div id="carouselGeneral" class="carousel slide" data-bs-ride="carousel">
          <div class="carousel-inner align-items-center">
            <div class="carousel-item active">
              <img src="{% static 'img/Conductor.png' %}" class="d-block mx-auto" alt="Imagen 1" />
            </div>
            <div class="carousel-item">
              <img src="{% static 'img/Conductora.png' %}" class="d-block mx-auto" alt="Imagen 2" />
            </div>
            <div class="carousel-item">
              <img src="{% static 'img/Flota.png' %}" class="d-block mx-auto" alt="Imagen 3" />
            </div>
          </div>
          <button class="carousel-control-prev" type="button" data-bs-target="#carouselGeneral" data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Anterior</span>
          </button>
          <button class="carousel-control-next" type="button" data-bs-target="#carouselGeneral" data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Siguiente</span>
          </button>
        </div>
      </div>
    </div>

    <div class="row mt-4">
      <div class="col-lg-12 mx-auto pleca-1 text-white p-3 text-center"style="background-color: #264550; border-radius: 25px;">
        <span id="quienesSomos">¿Quiénes somos?</span>
      </div>
      <div class="col-md-4 mt-4">
        <div class="flex-item">
          <div class="subtitulo text-black">Misión</div>
          <div class="img-container">
            <img src="{% static 'img/Mision.png' %}" class="img-responsive normal" alt="Misión" />
            <img src="{% static 'img/MisionTxt.png' %}" class="img-responsive hover" alt="Otra Imagen" />
          </div>
        </div>
      </div>

      <div class="col-md-4 mt-4">
        <div class="flex-item">
          <div class="subtitulo text-black">Visión</div>
          <div class="img-container">
            <img src="{% static 'img/Vision.png' %}" class="img-responsive normal" alt="Visión" />
            <img src="{% static 'img/VisionTxt.png' %}" class="img-responsive hover" alt="Otra Imagen" />
          </div>
        </div>
      </div>

      <div class="col-md-4 mt-4">
        <div class="flex-item">
          <div class="subtitulo text-black">Valores</div>
          <div class="img-container">
            <img src="{% static 'img/Valores.png' %}" class="img-responsive normal" alt="Valores" />
            <img src="{% static 'img/ValoresTxt.png' %}" class="img-responsive hover" alt="Otra Imagen" />
          </div>
        </div>
      </div>
    </div>
    <div class="row mt-4">
      <div class="col-lg-12 mx-auto pleca-1 text-white p-3 text-center" style="background-color: #264550; border-radius: 25px;">
        <span id="unidades">Unidades</span>
      </div>
    </div>
    <div class="row mt-4">
      <div class="col-md-12">
        <div id="carouselUnidades" class="carousel slide" data-bs-ride="carousel">
          <div class="carousel-inner align-items-center">
            <div class="carousel-item active">
              <img src="{% static 'img/Torino_2023.jpg' %}" class="d-block mx-auto" alt="Imagen 1" />
            </div>
            <div class="carousel-item">
              <img src="{% static 'img/Proximamente.jpg' %}" class="d-block mx-auto" alt="Imagen 2" />
            </div>
          </div>
          <button class="carousel-control-prev" type="button" data-bs-target="#carouselUnidades" data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Anterior</span>
          </button>
          <button class="carousel-control-next" type="button" data-bs-target="#carouselUnidades" data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Siguiente</span>
          </button>
        </div>
      </div>
    </div>
    <div class="row mt-4">
      <div class="col-lg-12 mx-auto pleca-1 text-white p-3 text-center" style="background-color: #264550; border-radius: 25px;">
        <span id="unidades">Contamos con las mejores unidades en cuestion de comfort y seguridad, ademas son amigables con el medioambiente.</span>
      </div>
    </div>
  </div>
{% endblock %}
